Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.element.style
Class OdfFontFaceElement

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.xerces.dom.ElementNSImpl
                          org.odftoolkit.odfdom.dom.element.OdfElement
                              org.odftoolkit.odfdom.dom.element.style.OdfFontFaceElement

All Implemented Interfaces:
  Serializable, Cloneable, Element, EventTarget, Node, NodeList, TypeInfo

Direct Known Subclasses:
  OdfFontFace

    public abstract class OdfFontFaceElement

extends OdfElement

DOM implementation of OpenDocument element style:font-face.

See Also:
  Serialized Form

Field Summary
`static OdfName` | `ELEMENT_NAME`

Fields inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`mOdfDocument`

Fields inherited from class org.apache.xerces.dom.ElementNSImpl
`localName, namespaceURI`

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`OdfFontFaceElement(OdfFileDom aOwnerDoc)` Create the instance of OdfFontFaceElement

Method Summary
`OdfDefinitionSrcElement` | `createDefinitionSrcElement(OdfAnyURI href)` Create child element svg:definition-src.
`OdfFontFaceSrcElement` | `createFontFaceSrcElement()` Create child element svg:font-face-src.
`Integer` | `getAccentHeight()` Get value of attribute svg:accent-height.
`Integer` | `getAlphabetic()` Get value of attribute svg:alphabetic.
`Integer` | `getAscent()` Get value of attribute svg:ascent.
`String` | `getBbox()` Get value of attribute svg:bbox.
`Integer` | `getCapHeight()` Get value of attribute svg:cap-height.
`Integer` | `getDescent()` Get value of attribute svg:descent.
`String` | `getFontAdornments()` Get value of attribute style:font-adornments.
`String` | `getFontCharset()` Get value of attribute style:font-charset.
`String` | `getFontFamily()` Get value of attribute svg:font-family.
`OdfFontFamilyGenericType` | `getFontFamilyGeneric()` Get value of attribute style:font-family-generic.
`OdfFontPitchType` | `getFontPitch()` Get value of attribute style:font-pitch.
`String` | `getFontSize()` Get value of attribute svg:font-size.
`OdfFontStretchType` | `getFontStretch()` Get value of attribute svg:font-stretch.
`OdfFontStyleType` | `getFontStyle()` Get value of attribute svg:font-style.
`OdfFontVariantType` | `getFontVariant()` Get value of attribute svg:font-variant.
`OdfFontWeightType` | `getFontWeight()` Get value of attribute svg:font-weight.
`Integer` | `getHanging()` Get value of attribute svg:hanging.
`Integer` | `getIdeographic()` Get value of attribute svg:ideographic.
`Integer` | `getMathematical()` Get value of attribute svg:mathematical.
`String` | `getName()` Get value of attribute style:name.
`OdfName` | `getOdfName()` Get the element name
`Integer` | `getOverlinePosition()` Get value of attribute svg:overline-position.
`Integer` | `getOverlineThickness()` Get value of attribute svg:overline-thickness.
`String` | `getPanose1()` Get value of attribute svg:panose-1.
`Integer` | `getSlope()` Get value of attribute svg:slope.
`Integer` | `getStemh()` Get value of attribute svg:stemh.
`Integer` | `getStemv()` Get value of attribute svg:stemv.
`Integer` | `getStrikethroughPosition()` Get value of attribute svg:strikethrough-position.
`Integer` | `getStrikethroughThickness()` Get value of attribute svg:strikethrough-thickness.
`Integer` | `getUnderlinePosition()` Get value of attribute svg:underline-position.
`Integer` | `getUnderlineThickness()` Get value of attribute svg:underline-thickness.
`String` | `getUnicodeRange()` Get value of attribute svg:unicode-range.
`Integer` | `getUnitsPerEm()` Get value of attribute svg:units-per-em.
`Integer` | `getVAlphabetic()` Get value of attribute svg:v-alphabetic.
`Integer` | `getVHanging()` Get value of attribute svg:v-hanging.
`Integer` | `getVIdeographic()` Get value of attribute svg:v-ideographic.
`Integer` | `getVMathematical()` Get value of attribute svg:v-mathematical.
`String` | `getWidths()` Get value of attribute svg:widths.
`Integer` | `getXHeight()` Get value of attribute svg:x-height.
`void` | `init(String name)` Initialization of the mandatory attributes of `OdfFontFaceElement`
`void` | `setAccentHeight(Integer accentHeight)` Set value of attribute svg:accent-height.
`void` | `setAlphabetic(Integer alphabetic)` Set value of attribute svg:alphabetic.
`void` | `setAscent(Integer ascent)` Set value of attribute svg:ascent.
`void` | `setBbox(String bbox)` Set value of attribute svg:bbox.
`void` | `setCapHeight(Integer capHeight)` Set value of attribute svg:cap-height.
`void` | `setDescent(Integer descent)` Set value of attribute svg:descent.
`void` | `setFontAdornments(String fontAdornments)` Set value of attribute style:font-adornments.
`void` | `setFontCharset(String fontCharset)` Set value of attribute style:font-charset.
`void` | `setFontFamily(String fontFamily)` Set value of attribute svg:font-family.
`void` | `setFontFamilyGeneric(OdfFontFamilyGenericType fontFamilyGeneric)` Set value of attribute style:font-family-generic.
`void` | `setFontPitch(OdfFontPitchType fontPitch)` Set value of attribute style:font-pitch.
`void` | `setFontSize(String fontSize)` Set value of attribute svg:font-size.
`void` | `setFontStretch(OdfFontStretchType fontStretch)` Set value of attribute svg:font-stretch.
`void` | `setFontStyle(OdfFontStyleType fontStyle)` Set value of attribute svg:font-style.
`void` | `setFontVariant(OdfFontVariantType fontVariant)` Set value of attribute svg:font-variant.
`void` | `setFontWeight(OdfFontWeightType fontWeight)` Set value of attribute svg:font-weight.
`void` | `setHanging(Integer hanging)` Set value of attribute svg:hanging.
`void` | `setIdeographic(Integer ideographic)` Set value of attribute svg:ideographic.
`void` | `setMathematical(Integer mathematical)` Set value of attribute svg:mathematical.
`void` | `setName(String name)` Set value of attribute style:name.
`void` | `setOverlinePosition(Integer overlinePosition)` Set value of attribute svg:overline-position.
`void` | `setOverlineThickness(Integer overlineThickness)` Set value of attribute svg:overline-thickness.
`void` | `setPanose1(String panose1)` Set value of attribute svg:panose-1.
`void` | `setSlope(Integer slope)` Set value of attribute svg:slope.
`void` | `setStemh(Integer stemh)` Set value of attribute svg:stemh.
`void` | `setStemv(Integer stemv)` Set value of attribute svg:stemv.
`void` | `setStrikethroughPosition(Integer strikethroughPosition)` Set value of attribute svg:strikethrough-position.
`void` | `setStrikethroughThickness(Integer strikethroughThickness)` Set value of attribute svg:strikethrough-thickness.
`void` | `setUnderlinePosition(Integer underlinePosition)` Set value of attribute svg:underline-position.
`void` | `setUnderlineThickness(Integer underlineThickness)` Set value of attribute svg:underline-thickness.
`void` | `setUnicodeRange(String unicodeRange)` Set value of attribute svg:unicode-range.
`void` | `setUnitsPerEm(Integer unitsPerEm)` Set value of attribute svg:units-per-em.
`void` | `setVAlphabetic(Integer vAlphabetic)` Set value of attribute svg:v-alphabetic.
`void` | `setVHanging(Integer vHanging)` Set value of attribute svg:v-hanging.
`void` | `setVIdeographic(Integer vIdeographic)` Set value of attribute svg:v-ideographic.
`void` | `setVMathematical(Integer vMathematical)` Set value of attribute svg:v-mathematical.
`void` | `setWidths(String widths)` Set value of attribute svg:widths.
`void` | `setXHeight(Integer xHeight)` Set value of attribute svg:x-height.

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`cloneNode, equals, findFirstChildNode, findNextChildNode, findPreviousChildNode, getAncestorAs, getOdfAttribute, getParentAs, hasOdfAttribute, insertBefore, onInsertNode, onInsertNode, onRemoveNode, onRemoveNode, removeChild, replaceChild, setOdfAttribute, toString`

Methods inherited from class org.apache.xerces.dom.ElementNSImpl
`getBaseURI, getLocalName, getNamespaceURI, getPrefix, getTypeName, getTypeNamespace, isDerivedFrom, setPrefix, setType, setValues`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, item, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getNodeNumber, getNodeValue, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setUserData, setUserData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getChildNodes, getFeature, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, getTextContent, getUserData, hasChildNodes, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, setNodeValue, setTextContent, setUserData`

Field Detail

### ELEMENT_NAME

    public static final OdfName ELEMENT_NAME

Constructor Detail

### OdfFontFaceElement

    public OdfFontFaceElement(OdfFileDom aOwnerDoc)

  Create the instance of OdfFontFaceElement

  Parameters:
    `aOwnerDoc` - The type is OdfFileDom

Method Detail

### getOdfName

    public OdfName getOdfName()

  Get the element name

  Specified by:
    `getOdfName` in class `OdfElement`
  Returns:
    return the name of element style:font-face.

### init

    public void init(String name)

  Initialization of the mandatory attributes of `OdfFontFaceElement`

  Parameters:
    `name` - The mandatory attribute style:name"

### getFontFamily

    public String getFontFamily()

  Get value of attribute svg:font-family.

  Returns:
    return the attribute which type is String

### setFontFamily

    public void setFontFamily(String fontFamily)

  Set value of attribute svg:font-family.

  Parameters:
    `fontFamily` - the attribute's type is String

### getFontStyle

    public OdfFontStyleType getFontStyle()

  Get value of attribute svg:font-style.

  Returns:
    return the attribute which type is OdfFontStyleType

### setFontStyle

    public void setFontStyle(OdfFontStyleType fontStyle)

  Set value of attribute svg:font-style.

  Parameters:
    `fontStyle` - the attribute's type is OdfFontStyleType

### getFontVariant

    public OdfFontVariantType getFontVariant()

  Get value of attribute svg:font-variant.

  Returns:
    return the attribute which type is OdfFontVariantType

### setFontVariant

    public void setFontVariant(OdfFontVariantType fontVariant)

  Set value of attribute svg:font-variant.

  Parameters:
    `fontVariant` - the attribute's type is OdfFontVariantType

### getFontWeight

    public OdfFontWeightType getFontWeight()

  Get value of attribute svg:font-weight.

  Returns:
    return the attribute which type is OdfFontWeightType

### setFontWeight

    public void setFontWeight(OdfFontWeightType fontWeight)

  Set value of attribute svg:font-weight.

  Parameters:
    `fontWeight` - the attribute's type is OdfFontWeightType

### getFontStretch

    public OdfFontStretchType getFontStretch()

  Get value of attribute svg:font-stretch.

  Returns:
    return the attribute which type is OdfFontStretchType

### setFontStretch

    public void setFontStretch(OdfFontStretchType fontStretch)

  Set value of attribute svg:font-stretch.

  Parameters:
    `fontStretch` - the attribute's type is OdfFontStretchType

### getFontSize

    public String getFontSize()

  Get value of attribute svg:font-size.

  Returns:
    return the attribute which type is String

### setFontSize

    public void setFontSize(String fontSize)

  Set value of attribute svg:font-size.

  Parameters:
    `fontSize` - the attribute's type is String

### getUnicodeRange

    public String getUnicodeRange()

  Get value of attribute svg:unicode-range.

  Returns:
    return the attribute which type is String

### setUnicodeRange

    public void setUnicodeRange(String unicodeRange)

  Set value of attribute svg:unicode-range.

  Parameters:
    `unicodeRange` - the attribute's type is String

### getUnitsPerEm

    public Integer getUnitsPerEm()

  Get value of attribute svg:units-per-em.

  Returns:
    return the attribute which type is Integer

### setUnitsPerEm

    public void setUnitsPerEm(Integer unitsPerEm)

  Set value of attribute svg:units-per-em.

  Parameters:
    `unitsPerEm` - the attribute's type is Integer

### getPanose1

    public String getPanose1()

  Get value of attribute svg:panose-1.

  Returns:
    return the attribute which type is String

### setPanose1

    public void setPanose1(String panose1)

  Set value of attribute svg:panose-1.

  Parameters:
    `panose1` - the attribute's type is String

### getStemv

    public Integer getStemv()

  Get value of attribute svg:stemv.

  Returns:
    return the attribute which type is Integer

### setStemv

    public void setStemv(Integer stemv)

  Set value of attribute svg:stemv.

  Parameters:
    `stemv` - the attribute's type is Integer

### getStemh

    public Integer getStemh()

  Get value of attribute svg:stemh.

  Returns:
    return the attribute which type is Integer

### setStemh

    public void setStemh(Integer stemh)

  Set value of attribute svg:stemh.

  Parameters:
    `stemh` - the attribute's type is Integer

### getSlope

    public Integer getSlope()

  Get value of attribute svg:slope.

  Returns:
    return the attribute which type is Integer

### setSlope

    public void setSlope(Integer slope)

  Set value of attribute svg:slope.

  Parameters:
    `slope` - the attribute's type is Integer

### getCapHeight

    public Integer getCapHeight()

  Get value of attribute svg:cap-height.

  Returns:
    return the attribute which type is Integer

### setCapHeight

    public void setCapHeight(Integer capHeight)

  Set value of attribute svg:cap-height.

  Parameters:
    `capHeight` - the attribute's type is Integer

### getXHeight

    public Integer getXHeight()

  Get value of attribute svg:x-height.

  Returns:
    return the attribute which type is Integer

### setXHeight

    public void setXHeight(Integer xHeight)

  Set value of attribute svg:x-height.

  Parameters:
    `xHeight` - the attribute's type is Integer

### getAccentHeight

    public Integer getAccentHeight()

  Get value of attribute svg:accent-height.

  Returns:
    return the attribute which type is Integer

### setAccentHeight

    public void setAccentHeight(Integer accentHeight)

  Set value of attribute svg:accent-height.

  Parameters:
    `accentHeight` - the attribute's type is Integer

### getAscent

    public Integer getAscent()

  Get value of attribute svg:ascent.

  Returns:
    return the attribute which type is Integer

### setAscent

    public void setAscent(Integer ascent)

  Set value of attribute svg:ascent.

  Parameters:
    `ascent` - the attribute's type is Integer

### getDescent

    public Integer getDescent()

  Get value of attribute svg:descent.

  Returns:
    return the attribute which type is Integer

### setDescent

    public void setDescent(Integer descent)

  Set value of attribute svg:descent.

  Parameters:
    `descent` - the attribute's type is Integer

### getWidths

    public String getWidths()

  Get value of attribute svg:widths.

  Returns:
    return the attribute which type is String

### setWidths

    public void setWidths(String widths)

  Set value of attribute svg:widths.

  Parameters:
    `widths` - the attribute's type is String

### getBbox

    public String getBbox()

  Get value of attribute svg:bbox.

  Returns:
    return the attribute which type is String

### setBbox

    public void setBbox(String bbox)

  Set value of attribute svg:bbox.

  Parameters:
    `bbox` - the attribute's type is String

### getIdeographic

    public Integer getIdeographic()

  Get value of attribute svg:ideographic.

  Returns:
    return the attribute which type is Integer

### setIdeographic

    public void setIdeographic(Integer ideographic)

  Set value of attribute svg:ideographic.

  Parameters:
    `ideographic` - the attribute's type is Integer

### getAlphabetic

    public Integer getAlphabetic()

  Get value of attribute svg:alphabetic.

  Returns:
    return the attribute which type is Integer

### setAlphabetic

    public void setAlphabetic(Integer alphabetic)

  Set value of attribute svg:alphabetic.

  Parameters:
    `alphabetic` - the attribute's type is Integer

### getMathematical

    public Integer getMathematical()

  Get value of attribute svg:mathematical.

  Returns:
    return the attribute which type is Integer

### setMathematical

    public void setMathematical(Integer mathematical)

  Set value of attribute svg:mathematical.

  Parameters:
    `mathematical` - the attribute's type is Integer

### getHanging

    public Integer getHanging()

  Get value of attribute svg:hanging.

  Returns:
    return the attribute which type is Integer

### setHanging

    public void setHanging(Integer hanging)

  Set value of attribute svg:hanging.

  Parameters:
    `hanging` - the attribute's type is Integer

### getVIdeographic

    public Integer getVIdeographic()

  Get value of attribute svg:v-ideographic.

  Returns:
    return the attribute which type is Integer

### setVIdeographic

    public void setVIdeographic(Integer vIdeographic)

  Set value of attribute svg:v-ideographic.

  Parameters:
    `vIdeographic` - the attribute's type is Integer

### getVAlphabetic

    public Integer getVAlphabetic()

  Get value of attribute svg:v-alphabetic.

  Returns:
    return the attribute which type is Integer

### setVAlphabetic

    public void setVAlphabetic(Integer vAlphabetic)

  Set value of attribute svg:v-alphabetic.

  Parameters:
    `vAlphabetic` - the attribute's type is Integer

### getVMathematical

    public Integer getVMathematical()

  Get value of attribute svg:v-mathematical.

  Returns:
    return the attribute which type is Integer

### setVMathematical

    public void setVMathematical(Integer vMathematical)

  Set value of attribute svg:v-mathematical.

  Parameters:
    `vMathematical` - the attribute's type is Integer

### getVHanging

    public Integer getVHanging()

  Get value of attribute svg:v-hanging.

  Returns:
    return the attribute which type is Integer

### setVHanging

    public void setVHanging(Integer vHanging)

  Set value of attribute svg:v-hanging.

  Parameters:
    `vHanging` - the attribute's type is Integer

### getUnderlinePosition

    public Integer getUnderlinePosition()

  Get value of attribute svg:underline-position.

  Returns:
    return the attribute which type is Integer

### setUnderlinePosition

    public void setUnderlinePosition(Integer underlinePosition)

  Set value of attribute svg:underline-position.

  Parameters:
    `underlinePosition` - the attribute's type is Integer

### getUnderlineThickness

    public Integer getUnderlineThickness()

  Get value of attribute svg:underline-thickness.

  Returns:
    return the attribute which type is Integer

### setUnderlineThickness

    public void setUnderlineThickness(Integer underlineThickness)

  Set value of attribute svg:underline-thickness.

  Parameters:
    `underlineThickness` - the attribute's type is Integer

### getStrikethroughPosition

    public Integer getStrikethroughPosition()

  Get value of attribute svg:strikethrough-position.

  Returns:
    return the attribute which type is Integer

### setStrikethroughPosition

    public void setStrikethroughPosition(Integer strikethroughPosition)

  Set value of attribute svg:strikethrough-position.

  Parameters:
    `strikethroughPosition` - the attribute's type is Integer

### getStrikethroughThickness

    public Integer getStrikethroughThickness()

  Get value of attribute svg:strikethrough-thickness.

  Returns:
    return the attribute which type is Integer

### setStrikethroughThickness

    public void setStrikethroughThickness(Integer strikethroughThickness)

  Set value of attribute svg:strikethrough-thickness.

  Parameters:
    `strikethroughThickness` - the attribute's type is Integer

### getOverlinePosition

    public Integer getOverlinePosition()

  Get value of attribute svg:overline-position.

  Returns:
    return the attribute which type is Integer

### setOverlinePosition

    public void setOverlinePosition(Integer overlinePosition)

  Set value of attribute svg:overline-position.

  Parameters:
    `overlinePosition` - the attribute's type is Integer

### getOverlineThickness

    public Integer getOverlineThickness()

  Get value of attribute svg:overline-thickness.

  Returns:
    return the attribute which type is Integer

### setOverlineThickness

    public void setOverlineThickness(Integer overlineThickness)

  Set value of attribute svg:overline-thickness.

  Parameters:
    `overlineThickness` - the attribute's type is Integer

### getName

    public String getName()

  Get value of attribute style:name.

  Returns:
    return the attribute which type is String

### setName

    public void setName(String name)

  Set value of attribute style:name.

  Parameters:
    `name` - the attribute's type is String

### getFontAdornments

    public String getFontAdornments()

  Get value of attribute style:font-adornments.

  Returns:
    return the attribute which type is String

### setFontAdornments

    public void setFontAdornments(String fontAdornments)

  Set value of attribute style:font-adornments.

  Parameters:
    `fontAdornments` - the attribute's type is String

### getFontFamilyGeneric

    public OdfFontFamilyGenericType getFontFamilyGeneric()

  Get value of attribute style:font-family-generic.

  Returns:
    return the attribute which type is OdfFontFamilyGenericType

### setFontFamilyGeneric

    public void setFontFamilyGeneric(OdfFontFamilyGenericType fontFamilyGeneric)

  Set value of attribute style:font-family-generic.

  Parameters:
    `fontFamilyGeneric` - the attribute's type is OdfFontFamilyGenericType

### getFontPitch

    public OdfFontPitchType getFontPitch()

  Get value of attribute style:font-pitch.

  Returns:
    return the attribute which type is OdfFontPitchType

### setFontPitch

    public void setFontPitch(OdfFontPitchType fontPitch)

  Set value of attribute style:font-pitch.

  Parameters:
    `fontPitch` - the attribute's type is OdfFontPitchType

### getFontCharset

    public String getFontCharset()

  Get value of attribute style:font-charset.

  Returns:
    return the attribute which type is String

### setFontCharset

    public void setFontCharset(String fontCharset)

  Set value of attribute style:font-charset.

  Parameters:
    `fontCharset` - the attribute's type is String

### createFontFaceSrcElement

    public OdfFontFaceSrcElement createFontFaceSrcElement()

  Create child element svg:font-face-src.

  Returns:
    return the element svg:font-face-src

### createDefinitionSrcElement

    public OdfDefinitionSrcElement createDefinitionSrcElement(OdfAnyURI href)

  Create child element svg:definition-src.

  Parameters:
    `href` - the attribute's type is URI
  Returns:
    return the element svg:definition-src

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.